Skip to main content
GET
/
marketing
/
v3
/
campaigns
/
{campaignGuid}
/
spend
/
{spendId}
Read campaign spend item
curl --request GET \
  --url https://api.hubapi.com/marketing/v3/campaigns/{campaignGuid}/spend/{spendId} \
  --header 'Authorization: Bearer <token>'
{
  "amount": 123,
  "createdAt": 123,
  "id": "<string>",
  "name": "<string>",
  "order": 123,
  "updatedAt": 123,
  "description": "<string>"
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

campaignGuid
string
required
spendId
integer<int64>
required

Response

successful operation

amount
number
required

The monetary value associated with the spend item.

createdAt
integer<int64>
required

The timestamp indicating when the spend item was created.

id
string
required

Unique identifier for the spend item.

name
string
required

The name assigned to the spend item.

order
integer<int32>
required

The sequence order of the spend item, where 0 is the oldest.

updatedAt
integer<int64>
required

The timestamp indicating when the spend item was last updated.

description
string

A detailed explanation or notes about the spend item.

Last modified on March 30, 2026